Box2D: b2PolygonContact Class Reference

| Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
b2PolygonContact Class Reference
Inheritance diagram for b2PolygonContact:

## Public Member Functions
| b2PolygonContact (b2Fixture *fixtureA, b2Fixture *fixtureB)
void | Evaluate (b2Manifold *manifold, const b2Transform &xfA, const b2Transform &xfB)
| Evaluate this contact with your own manifold and transforms.
Public Member Functions inherited from b2Contact
b2Manifold * | GetManifold ()
const b2Manifold * | GetManifold () const
void | GetWorldManifold (b2WorldManifold *worldManifold) const
| Get the world manifold.
bool | IsTouching () const
| Is this contact touching?
void | SetEnabled (bool flag)
bool | IsEnabled () const
| Has this contact been disabled?
b2Contact * | GetNext ()
| Get the next contact in the world's contact list.
const b2Contact * | GetNext () const
b2Fixture * | GetFixtureA ()
| Get fixture A in this contact.
const b2Fixture * | GetFixtureA () const
int32 | GetChildIndexA () const
| Get the child primitive index for fixture A.
b2Fixture * | GetFixtureB ()
| Get fixture B in this contact.
const b2Fixture * | GetFixtureB () const
int32 | GetChildIndexB () const
| Get the child primitive index for fixture B.
void | SetFriction (float32 friction)
float32 | GetFriction () const
| Get the friction.
void | ResetFriction ()
| Reset the friction mixture to the default value.
void | SetRestitution (float32 restitution)
float32 | GetRestitution () const
| Get the restitution.
void | ResetRestitution ()
| Reset the restitution to the default value.
void | SetTangentSpeed (float32 speed)
| Set the desired tangent speed for a conveyor belt behavior. In meters per second.
float32 | GetTangentSpeed () const
| Get the desired tangent speed. In meters per second.

## Static Public Member Functions
static b2Contact * | Create (b2Fixture *fixtureA, int32 indexA, b2Fixture *fixtureB, int32 indexB, b2BlockAllocator *allocator)
static void | Destroy (b2Contact *contact, b2BlockAllocator *allocator)

## Additional Inherited Members
Protected Types inherited from b2Contact
enum | { e_islandFlag = 0x0001, e_touchingFlag = 0x0002, e_enabledFlag = 0x0004, e_filterFlag = 0x0008, e_bulletHitFlag = 0x0010, e_toiFlag = 0x0020 }
Protected Member Functions inherited from b2Contact
void | FlagForFiltering ()
| Flag this contact for filtering. Filtering will occur the next time step.
| b2Contact (b2Fixture *fixtureA, int32 indexA, b2Fixture *fixtureB, int32 indexB)
void | Update (b2ContactListener *listener)
Static Protected Member Functions inherited from b2Contact
static void | AddType (b2ContactCreateFcn *createFcn, b2ContactDestroyFcn *destroyFcn, b2Shape::Type typeA, b2Shape::Type typeB)
static void | InitializeRegisters ()
static b2Contact * | Create (b2Fixture *fixtureA, int32 indexA, b2Fixture *fixtureB, int32 indexB, b2BlockAllocator *allocator)
static void | Destroy (b2Contact *contact, b2Shape::Type typeA, b2Shape::Type typeB, b2BlockAllocator *allocator)
static void | Destroy (b2Contact *contact, b2BlockAllocator *allocator)
Protected Attributes inherited from b2Contact
uint32 | m_flags
b2Contact * | m_prev
b2Contact * | m_next
b2ContactEdge | m_nodeA
b2ContactEdge | m_nodeB
b2Fixture * | m_fixtureA
b2Fixture * | m_fixtureB
int32 | m_indexA
int32 | m_indexB
b2Manifold | m_manifold
int32 | m_toiCount
float32 | m_toi
float32 | m_friction
float32 | m_restitution
float32 | m_tangentSpeed
Static Protected Attributes inherited from b2Contact
static b2ContactRegister | s_registers [b2Shape::e_typeCount][b2Shape::e_typeCount]
static bool | s_initialized = false

The documentation for this class was generated from the following files:

- b2PolygonContact.h
- b2PolygonContact.cpp